summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-01-06 23:25:41 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-01-09 07:12:22 +0700
commitd66d1b325ee06313ae7a30ca42461b6daeab90f8 (patch)
tree219da9b4f94026a7766eab78c72e1ef8acfa08c8 /games
parent66ee3372edee35c3de335b02205ef56cb16873a3 (diff)
downloadslackbuilds-d66d1b325ee06313ae7a30ca42461b6daeab90f8.tar.gz
slackbuilds-d66d1b325ee06313ae7a30ca42461b6daeab90f8.tar.xz
games/exult: Added (game engine for running Ultima7).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/exult/README12
-rw-r--r--games/exult/doinst.sh9
-rw-r--r--games/exult/exult.SlackBuild107
-rw-r--r--games/exult/exult.info12
-rw-r--r--games/exult/slack-desc19
5 files changed, 159 insertions, 0 deletions
diff --git a/games/exult/README b/games/exult/README
new file mode 100644
index 0000000000..b267663d09
--- /dev/null
+++ b/games/exult/README
@@ -0,0 +1,12 @@
+Ultima 7, an RPG from the early 1990's, still has a huge following. But, being a DOS game
+with a very nonstandard memory manager, it is difficult to run it on the latest computers.
+Exult is a project to create an Ultima 7 game engine that runs on modern operating systems,
+capable of using the data and graphics files that come with the game.
+
+Exult aims to let those people who own Ultima 7 (copyright 1993) play the game on modern
+hardware, in as close to (or perhaps even surpassing) its original splendor as is possible.
+You need to own "Ultima 7: The Black Gate" and/or "Ultima 7: Serpent Isle" and optionally the
+add-ons (not required to run) in order to use Exult, and we encourage you to buy a legal copy.
+
+exult_audio.zip is only needed for using digital audio with exult, it can be skipped if digital
+audio is not wanted. \ No newline at end of file
diff --git a/games/exult/doinst.sh b/games/exult/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/exult/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/exult/exult.SlackBuild b/games/exult/exult.SlackBuild
new file mode 100644
index 0000000000..0d316d97de
--- /dev/null
+++ b/games/exult/exult.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for exult
+
+# Copyright 2016 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=exult
+VERSION=${VERSION:-1.5.0_svn}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+if [ -f $CWD/${PRGNAM}_audio.zip ]; then
+ unzip $CWD/${PRGNAM}_audio.zip -d $PKG/usr/share/$PRGNAM
+ chown -R root:root $PKG/usr/share/$PRGNAM
+ find $PKG/usr/share/$PRGNAM \
+ \( -type f -exec chmod 644 {} \; \) -o \
+ \( -type d -exec chmod 755 {} \; \)
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README* TODO.xml $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/share/$PRGNAM -type f -iname 'readme*.txt' -exec mv -t $PKG/usr/doc/$PRGNAM-$VERSION {} \+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/exult/exult.info b/games/exult/exult.info
new file mode 100644
index 0000000000..6bf4d1b10f
--- /dev/null
+++ b/games/exult/exult.info
@@ -0,0 +1,12 @@
+PRGNAM="exult"
+VERSION="1.5.0_svn"
+HOMEPAGE="http://exult.sourceforge.net/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/exult-1.5.0_svn.tar.xz
+ http://downloads.sourceforge.net/project/exult/exult-data/exult_audio.zip"
+MD5SUM="fcc6b6c7aa4ed2af7c9e1f9097b8fe28
+ 1905328f00bbbfee33812c1942bc7880"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com" \ No newline at end of file
diff --git a/games/exult/slack-desc b/games/exult/slack-desc
new file mode 100644
index 0000000000..e4e9cdb2c0
--- /dev/null
+++ b/games/exult/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+exult: exult (game engine for running Ultima7)
+exult:
+exult: As computers evolve, we risk losing classic games from the not-so-
+exult: distant past. One of these, Ultima 7, an RPG from the early 1990's,
+exult: still has a huge following, and many consider it to be one of the
+exult: most immersive games ever produced. Exult is a project to recreate
+exult: Ultima 7 for modern operating systems, using the game's original
+exult: plot, data, and graphics files.
+exult:
+exult: Homepage: http://exult.sourceforge.net/
+exult: